import os
import zipfile

def tozip(file_path,zip_path):
    with zipfile.ZipFile(zip_path,'w',zipfile.ZIP_DEFLATED) as zipf:
        zipf.write(file_path,os.path.basename(file_path))
        
urls=[]
rootpath="/home/lighthouse/stpair/backend/resources"
for root,dir,filelist in os.walk(rootpath):
    for filename in filelist:
        if filename.endswith('deconv.h5ad'):
            # file=os.path.join(root,filename)
            # zip_file=file+".zip"
            # print(f'file:{file},zip_file:{zip_file}')
            # tozip(file,zip_file)
            urlc="http://pairpot.bioxai.cn/api/query/scgz?id=STDS0000"+root[-3:]
            urlp="http://pairpot.bioxai.cn/api/query/spgz?id=STDS0000"+root[-3:]
            print(f"urlc:{urlc}, urlo:{urlp}")
            urls.append(urlc)
            urls.append(urlp)

outfile=open("urls.tsv","w")    
urls=sorted(urls)    
for url in urls:
    print(url,file=outfile)
outfile.close()
"""
http://pairpot.bioxai.cn/api/query/scgz?id=STDS0000007
http://pairpot.bioxai.cn/api/query/spgz?id=STDS0000007
http://pairpot.bioxai.cn/api/query/scgz?id=STDS0000235
http://pairpot.bioxai.cn/api/query/spgz?id=STDS0000235
"""